2019-10-15 23:38 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000107FSSCPDirectXpublic2007-03-23 04:22
ReporterRandomTiger 
Assigned Totaylor 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version3.6.5 
Summary0000107: Memory leaks
DescriptionMoved to attachment.
Additional InformationCompile in debug with _REPORT_MEM_LEAKS compile flag in code.lib to recieve a detailed report like this.
TagsNo tags attached.
Attached Files
  • txt file icon leak report.txt (20,383 bytes) 2004-07-29 22:28 -
    Two types, malloc and windows leaks from scrolling through the techroom:
    
    malloc memory leak of 12446738
    Memory leaks: (cfilesystem.cpp 250) of 8320 bytes
    Memory leaks: (cfilesystem.cpp 219) of 13312 bytes
    Memory leaks: (cfilesystem.cpp 219) of 13312 bytes
    Memory leaks: (cfilesystem.cpp 219) of 13312 bytes
    Memory leaks: (cfilesystem.cpp 219) of 13312 bytes
    Memory leaks: (cfilesystem.cpp 219) of 13312 bytes
    Memory leaks: (cfilesystem.cpp 219) of 13312 bytes
    Memory leaks: (cfilesystem.cpp 219) of 13312 bytes
    Memory leaks: (cfilesystem.cpp 219) of 13312 bytes
    Memory leaks: (cfilesystem.cpp 219) of 13312 bytes
    Memory leaks: (cfilesystem.cpp 219) of 13312 bytes
    Memory leaks: (cfilesystem.cpp 219) of 13312 bytes
    Memory leaks: (cfilesystem.cpp 219) of 13312 bytes
    Memory leaks: (cfilesystem.cpp 219) of 13312 bytes
    Memory leaks: (cfilesystem.cpp 219) of 13312 bytes
    Memory leaks: (cfilesystem.cpp 219) of 13312 bytes
    Memory leaks: (cfilesystem.cpp 219) of 13312 bytes
    Memory leaks: (cfilesystem.cpp 219) of 13312 bytes
    Memory leaks: (cfilesystem.cpp 219) of 13312 bytes
    Memory leaks: (cfilesystem.cpp 219) of 13312 bytes
    Memory leaks: (cfilesystem.cpp 219) of 13312 bytes
    Memory leaks: (cfilesystem.cpp 219) of 13312 bytes
    Memory leaks: (cfilesystem.cpp 219) of 13312 bytes
    Memory leaks: (cfilesystem.cpp 219) of 13312 bytes
    Memory leaks: (cfilesystem.cpp 219) of 13312 bytes
    Memory leaks: (cfilesystem.cpp 219) of 13312 bytes
    Memory leaks: (cfilesystem.cpp 219) of 13312 bytes
    Memory leaks: (cfilesystem.cpp 219) of 13312 bytes
    Memory leaks: (cfilesystem.cpp 219) of 13312 bytes
    Memory leaks: (localize.cpp 991) of 13 bytes
    Memory leaks: (localize.cpp 629) of 26 bytes
    Memory leaks: (localize.cpp 629) of 28 bytes
    Memory leaks: (localize.cpp 629) of 26 bytes
    Memory leaks: (localize.cpp 629) of 27 bytes
    Memory leaks: (localize.cpp 629) of 56 bytes
    Memory leaks: (localize.cpp 629) of 56 bytes
    Memory leaks: (localize.cpp 629) of 26 bytes
    Memory leaks: (localize.cpp 629) of 8 bytes
    Memory leaks: (localize.cpp 629) of 9 bytes
    Memory leaks: (localize.cpp 629) of 50 bytes
    Memory leaks: (localize.cpp 629) of 11 bytes
    Memory leaks: (localize.cpp 629) of 18 bytes
    Memory leaks: (localize.cpp 629) of 26 bytes
    Memory leaks: (localize.cpp 629) of 27 bytes
    Memory leaks: (localize.cpp 629) of 36 bytes
    Memory leaks: (localize.cpp 629) of 66 bytes
    Memory leaks: (localize.cpp 629) of 66 bytes
    Memory leaks: (localize.cpp 629) of 53 bytes
    Memory leaks: (localize.cpp 629) of 30 bytes
    Memory leaks: (localize.cpp 629) of 28 bytes
    Memory leaks: (localize.cpp 629) of 21 bytes
    Memory leaks: (localize.cpp 629) of 20 bytes
    Memory leaks: (localize.cpp 629) of 25 bytes
    Memory leaks: (localize.cpp 629) of 24 bytes
    Memory leaks: (localize.cpp 629) of 33 bytes
    Memory leaks: (localize.cpp 629) of 23 bytes
    Memory leaks: (localize.cpp 629) of 37 bytes
    Memory leaks: (localize.cpp 629) of 26 bytes
    Memory leaks: (localize.cpp 629) of 11 bytes
    Memory leaks: (localize.cpp 629) of 14 bytes
    Memory leaks: (localize.cpp 629) of 39 bytes
    Memory leaks: (localize.cpp 629) of 16 bytes
    Memory leaks: (localize.cpp 629) of 34 bytes
    Memory leaks: (localize.cpp 629) of 35 bytes
    Memory leaks: (localize.cpp 629) of 41 bytes
    Memory leaks: (localize.cpp 629) of 39 bytes
    Memory leaks: (localize.cpp 629) of 51 bytes
    Memory leaks: (localize.cpp 629) of 69 bytes
    Memory leaks: (localize.cpp 629) of 22 bytes
    Memory leaks: (localize.cpp 629) of 56 bytes
    Memory leaks: (localize.cpp 629) of 43 bytes
    Memory leaks: (localize.cpp 629) of 7 bytes
    Memory leaks: (localize.cpp 629) of 8 bytes
    Memory leaks: (localize.cpp 629) of 11 bytes
    Memory leaks: (localize.cpp 629) of 159 bytes
    Memory leaks: (localize.cpp 629) of 2 bytes
    Memory leaks: (localize.cpp 629) of 3 bytes
    Memory leaks: (localize.cpp 629) of 4 bytes
    Memory leaks: (localize.cpp 629) of 5 bytes
    Memory leaks: (localize.cpp 629) of 44 bytes
    Memory leaks: (localize.cpp 629) of 16 bytes
    Memory leaks: (localize.cpp 629) of 22 bytes
    Memory leaks: (localize.cpp 629) of 21 bytes
    Memory leaks: (localize.cpp 629) of 23 bytes
    Memory leaks: (localize.cpp 629) of 15 bytes
    Memory leaks: (localize.cpp 629) of 7 bytes
    Memory leaks: (localize.cpp 629) of 24 bytes
    Memory leaks: (localize.cpp 629) of 24 bytes
    Memory leaks: (localize.cpp 629) of 23 bytes
    Memory leaks: (localize.cpp 629) of 25 bytes
    Memory leaks: (localize.cpp 629) of 17 bytes
    Memory leaks: (localize.cpp 629) of 26 bytes
    Memory leaks: (localize.cpp 629) of 13 bytes
    Memory leaks: (localize.cpp 629) of 9 bytes
    Memory leaks: (localize.cpp 629) of 20 bytes
    Memory leaks: (localize.cpp 629) of 54 bytes
    Memory leaks: (localize.cpp 629) of 39 bytes
    Memory leaks: (localize.cpp 629) of 38 bytes
    Memory leaks: (localize.cpp 629) of 12 bytes
    Memory leaks: (localize.cpp 629) of 14 bytes
    Memory leaks: (localize.cpp 629) of 45 bytes
    Memory leaks: (localize.cpp 629) of 9 bytes
    Memory leaks: (localize.cpp 629) of 5 bytes
    Memory leaks: (localize.cpp 629) of 6 bytes
    Memory leaks: (localize.cpp 629) of 5 bytes
    Memory leaks: (localize.cpp 629) of 9 bytes
    Memory leaks: (localize.cpp 629) of 10 bytes
    Memory leaks: (localize.cpp 629) of 10 bytes
    Memory leaks: (localize.cpp 629) of 8 bytes
    Memory leaks: (localize.cpp 629) of 9 bytes
    Memory leaks: (localize.cpp 629) of 16 bytes
    Memory leaks: (localize.cpp 629) of 30 bytes
    Memory leaks: (localize.cpp 629) of 62 bytes
    Memory leaks: (localize.cpp 629) of 18 bytes
    Memory leaks: (localize.cpp 629) of 10 bytes
    Memory leaks: (localize.cpp 629) of 8 bytes
    Memory leaks: (localize.cpp 629) of 17 bytes
    Memory leaks: (localize.cpp 629) of 12 bytes
    Memory leaks: (localize.cpp 629) of 18 bytes
    Memory leaks: (localize.cpp 629) of 9 bytes
    Memory leaks: (localize.cpp 629) of 8 bytes
    Memory leaks: (localize.cpp 629) of 11 bytes
    Memory leaks: (localize.cpp 629) of 37 bytes
    Memory leaks: (localize.cpp 629) of 47 bytes
    Memory leaks: (localize.cpp 629) of 20 bytes
    Memory leaks: (localize.cpp 629) of 43 bytes
    Memory leaks: (localize.cpp 629) of 37 bytes
    Memory leaks: (localize.cpp 629) of 41 bytes
    Memory leaks: (localize.cpp 629) of 46 bytes
    Memory leaks: (localize.cpp 629) of 32 bytes
    Memory leaks: (localize.cpp 629) of 25 bytes
    Memory leaks: (localize.cpp 629) of 9 bytes
    Memory leaks: (localize.cpp 629) of 10 bytes
    Memory leaks: (localize.cpp 629) of 10 bytes
    Memory leaks: (localize.cpp 629) of 11 bytes
    Memory leaks: (localize.cpp 629) of 20 bytes
    Memory leaks: (localize.cpp 629) of 22 bytes
    Memory leaks: (localize.cpp 629) of 19 bytes
    Memory leaks: (localize.cpp 629) of 14 bytes
    Memory leaks: (localize.cpp 629) of 8 bytes
    Memory leaks: (localize.cpp 629) of 73 bytes
    Memory leaks: (localize.cpp 629) of 67 bytes
    Memory leaks: (localize.cpp 629) of 119 bytes
    Memory leaks: (localize.cpp 629) of 50 bytes
    Memory leaks: (localize.cpp 629) of 14 bytes
    Memory leaks: (localize.cpp 629) of 12 bytes
    Memory leaks: (localize.cpp 629) of 21 bytes
    Memory leaks: (localize.cpp 629) of 20 bytes
    Memory leaks: (localize.cpp 629) of 22 bytes
    Memory leaks: (localize.cpp 629) of 15 bytes
    Memory leaks: (localize.cpp 629) of 24 bytes
    Memory leaks: (localize.cpp 629) of 23 bytes
    Memory leaks: (localize.cpp 629) of 22 bytes
    Memory leaks: (localize.cpp 629) of 24 bytes
    Memory leaks: (localize.cpp 629) of 17 bytes
    Memory leaks: (localize.cpp 629) of 26 bytes
    Memory leaks: (localize.cpp 629) of 8 bytes
    Memory leaks: (localize.cpp 629) of 14 bytes
    Memory leaks: (localize.cpp 629) of 15 bytes
    Memory leaks: (localize.cpp 629) of 3 bytes
    Memory leaks: (localize.cpp 629) of 11 bytes
    Memory leaks: (localize.cpp 629) of 4 bytes
    Memory leaks: (localize.cpp 629) of 14 bytes
    Memory leaks: (localize.cpp 629) of 11 bytes
    Memory leaks: (localize.cpp 629) of 14 bytes
    Memory leaks: (localize.cpp 629) of 3 bytes
    Memory leaks: (localize.cpp 629) of 23 bytes
    Memory leaks: (localize.cpp 629) of 3 bytes
    Memory leaks: (localize.cpp 629) of 44 bytes
    Memory leaks: (localize.cpp 629) of 3 bytes
    Memory leaks: (localize.cpp 629) of 18 bytes
    Memory leaks: (localize.cpp 629) of 3 bytes
    Memory leaks: (localize.cpp 629) of 24 bytes
    Memory leaks: (localize.cpp 629) of 9 bytes
    Memory leaks: (localize.cpp 629) of 8 bytes
    Memory leaks: (localize.cpp 629) of 10 bytes
    Memory leaks: (localize.cpp 629) of 29 bytes
    Memory leaks: (localize.cpp 629) of 14 bytes
    Memory leaks: (localize.cpp 629) of 21 bytes
    Memory leaks: (localize.cpp 629) of 24 bytes
    Memory leaks: (localize.cpp 629) of 38 bytes
    Memory leaks: (localize.cpp 629) of 15 bytes
    Memory leaks: (localize.cpp 629) of 35 bytes
    Memory leaks: (localize.cpp 629) of 19 bytes
    Memory leaks: (localize.cpp 629) of 18 bytes
    Memory leaks: (localize.cpp 629) of 15 bytes
    Memory leaks: (localize.cpp 629) of 40 bytes
    Memory leaks: (localize.cpp 629) of 12 bytes
    Memory leaks: (localize.cpp 629) of 23 bytes
    Memory leaks: (localize.cpp 629) of 19 bytes
    Memory leaks: (localize.cpp 629) of 4 bytes
    Memory leaks: (localize.cpp 629) of 27 bytes
    Memory leaks: (localize.cpp 629) of 6 bytes
    Memory leaks: (localize.cpp 629) of 11 bytes
    Memory leaks: (localize.cpp 629) of 11 bytes
    Memory leaks: (localize.cpp 629) of 17 bytes
    Memory leaks: (localize.cpp 629) of 10 bytes
    Memory leaks: (localize.cpp 629) of 17 bytes
    Memory leaks: (localize.cpp 629) of 53 bytes
    Memory leaks: (localize.cpp 629) of 35 bytes
    Memory leaks: (localize.cpp 629) of 15 bytes
    Memory leaks: (localize.cpp 629) of 10 bytes
    Memory leaks: (localize.cpp 629) of 50 bytes
    Memory leaks: (localize.cpp 629) of 25 bytes
    Memory leaks: (localize.cpp 629) of 19 bytes
    Memory leaks: (localize.cpp 629) of 48 bytes
    Memory leaks: (localize.cpp 629) of 25 bytes
    Memory leaks: (localize.cpp 629) of 91 bytes
    Memory leaks: (localize.cpp 629) of 64 bytes
    Memory leaks: (localize.cpp 629) of 35 bytes
    Memory leaks: (localize.cpp 629) of 19 bytes
    Memory leaks: (localize.cpp 629) of 22 bytes
    Memory leaks: (localize.cpp 629) of 30 bytes
    Memory leaks: (localize.cpp 629) of 30 bytes
    Memory leaks: (localize.cpp 629) of 10 bytes
    Memory leaks: (localize.cpp 629) of 14 bytes
    Memory leaks: (localize.cpp 629) of 6 bytes
    Memory leaks: (localize.cpp 629) of 23 bytes
    Memory leaks: (localize.cpp 629) of 19 bytes
    Memory leaks: (localize.cpp 629) of 20 bytes
    Memory leaks: (localize.cpp 629) of 22 bytes
    Memory leaks: (localize.cpp 629) of 19 bytes
    Memory leaks: (localize.cpp 629) of 14 bytes
    Memory leaks: (localize.cpp 629) of 373 bytes
    Memory leaks: (localize.cpp 629) of 15 bytes
    Memory leaks: (localize.cpp 629) of 298 bytes
    Memory leaks: (localize.cpp 629) of 44 bytes
    Memory leaks: (localize.cpp 629) of 18 bytes
    Memory leaks: (localize.cpp 629) of 81 bytes
    Memory leaks: (localize.cpp 629) of 18 bytes
    Memory leaks: (localize.cpp 629) of 60 bytes
    Memory leaks: (localize.cpp 629) of 4 bytes
    Memory leaks: (localize.cpp 629) of 62 bytes
    Memory leaks: (localize.cpp 629) of 53 bytes
    Memory leaks: (localize.cpp 629) of 25 bytes
    Memory leaks: (localize.cpp 629) of 10 bytes
    Memory leaks: (localize.cpp 629) of 9 bytes
    Memory leaks: (localize.cpp 629) of 47 bytes
    Memory leaks: (localize.cpp 629) of 2 bytes
    Memory leaks: (localize.cpp 629) of 24 bytes
    Memory leaks: (localize.cpp 629) of 8 bytes
    Memory leaks: (localize.cpp 629) of 5 bytes
    Memory leaks: (localize.cpp 629) of 3 bytes
    Memory leaks: (localize.cpp 629) of 27 bytes
    Memory leaks: (localize.cpp 629) of 20 bytes
    Memory leaks: (localize.cpp 629) of 6 bytes
    Memory leaks: (localize.cpp 629) of 6 bytes
    Memory leaks: (localize.cpp 629) of 8 bytes
    Memory leaks: (localize.cpp 629) of 7 bytes
    Memory leaks: (localize.cpp 629) of 5 bytes
    Memory leaks: (localize.cpp 629) of 15 bytes
    Memory leaks: (localize.cpp 629) of 7 bytes
    Memory leaks: (localize.cpp 629) of 5 bytes
    Memory leaks: (localize.cpp 629) of 7 bytes
    Memory leaks: (localize.cpp 629) of 8 bytes
    Memory leaks: (localize.cpp 629) of 8 bytes
    Memory leaks: (localize.cpp 629) of 9 bytes
    Memory leaks: (localize.cpp 629) of 10 bytes
    Memory leaks: (localize.cpp 629) of 9 bytes
    Memory leaks: (localize.cpp 629) of 11 bytes
    Memory leaks: (localize.cpp 629) of 11 bytes
    Memory leaks: (localize.cpp 629) of 5 bytes
    Memory leaks: (localize.cpp 629) of 9 bytes
    Memory leaks: (localize.cpp 629) of 15 bytes
    Memory leaks: (localize.cpp 629) of 8 bytes
    Memory leaks: (localize.cpp 629) of 16 bytes
    Memory leaks: (localize.cpp 629) of 10 bytes
    Memory leaks: (localize.cpp 629) of 18 bytes
    Memory leaks: (localize.cpp 629) of 20 bytes
    Memory leaks: (localize.cpp 629) of 16 bytes
    Memory leaks: (localize.cpp 629) of 15 bytes
    Memory leaks: (localize.cpp 629) of 17 bytes
    Memory leaks: (localize.cpp 629) of 7 bytes
    Memory leaks: (localize.cpp 629) of 15 bytes
    Memory leaks: (localize.cpp 629) of 18 bytes
    Memory leaks: (localize.cpp 629) of 16 bytes
    Memory leaks: (localize.cpp 629) of 7 bytes
    Memory leaks: (localize.cpp 629) of 9 bytes
    Memory leaks: (localize.cpp 629) of 9 bytes
    Memory leaks: (localize.cpp 629) of 15 bytes
    Memory leaks: (localize.cpp 629) of 19 bytes
    Memory leaks: (localize.cpp 629) of 26 bytes
    Memory leaks: (localize.cpp 629) of 25 bytes
    Memory leaks: (localize.cpp 629) of 13 bytes
    Memory leaks: (localize.cpp 629) of 8 bytes
    Memory leaks: (localize.cpp 629) of 9 bytes
    Memory leaks: (localize.cpp 629) of 6 bytes
    Memory leaks: (localize.cpp 629) of 15 bytes
    Memory leaks: (localize.cpp 629) of 18 bytes
    Memory leaks: (localize.cpp 629) of 18 bytes
    Memory leaks: (localize.cpp 629) of 14 bytes
    Memory leaks: (localize.cpp 629) of 14 bytes
    Memory leaks: (localize.cpp 629) of 17 bytes
    Memory leaks: (localize.cpp 629) of 17 bytes
    Memory leaks: (localize.cpp 629) of 22 bytes
    Memory leaks: (localize.cpp 629) of 16 bytes
    Memory leaks: (localize.cpp 629) of 16 bytes
    Memory leaks: (localize.cpp 629) of 16 bytes
    Memory leaks: (localize.cpp 629) of 13 bytes
    Memory leaks: (localize.cpp 629) of 19 bytes
    Memory leaks: (localize.cpp 629) of 15 bytes
    Memory leaks: (localize.cpp 629) of 15 bytes
    Memory leaks: (localize.cpp 629) of 24 bytes
    Memory leaks: (localize.cpp 629) of 20 bytes
    Memory leaks: (localize.cpp 629) of 11 bytes
    Memory leaks: (localize.cpp 629) of 15 bytes
    Memory leaks: (localize.cpp 629) of 15 bytes
    Memory leaks: (localize.cpp 629) of 25 bytes
    Memory leaks: (localize.cpp 629) of 16 bytes
    Memory leaks: (localize.cpp 629) of 17 bytes
    Memory leaks: (ModelOctant.cpp 374) of 44 bytes
    Memory leaks: (ModelOctant.cpp 153) of 0 bytes
    Memory leaks: (ModelOctant.cpp 374) of 40 bytes
    Memory leaks: (ModelOctant.cpp 153) of 0 bytes
    Memory leaks: (ModelOctant.cpp 374) of 36 bytes
    Memory leaks: (ModelOctant.cpp 153) of 0 bytes
    Memory leaks: (ModelOctant.cpp 374) of 32 bytes
    Memory leaks: (ModelOctant.cpp 153) of 0 bytes
    Memory leaks: (ModelOctant.cpp 374) of 44 bytes
    Memory leaks: (ModelOctant.cpp 153) of 0 bytes
    Memory leaks: (ModelOctant.cpp 374) of 44 bytes
    Memory leaks: (ModelOctant.cpp 153) of 0 bytes
    Memory leaks: (ModelOctant.cpp 374) of 36 bytes
    Memory leaks: (ModelOctant.cpp 153) of 0 bytes
    Memory leaks: (ModelOctant.cpp 374) of 36 bytes
    Memory leaks: (ModelRead.cpp 2460) of 9944 bytes
    Memory leaks: (ModelRead.cpp 1545) of 9960 bytes
    Memory leaks: (ModelRead.cpp 1637) of 40 bytes
    Memory leaks: (ModelRead.cpp 1751) of 22232 bytes
    Memory leaks: (ModelRead.cpp 1751) of 2308 bytes
    Memory leaks: (ModelRead.cpp 1751) of 3120 bytes
    Memory leaks: (ModelRead.cpp 1751) of 2308 bytes
    Memory leaks: (ModelRead.cpp 1751) of 3120 bytes
    Memory leaks: (ModelRead.cpp 1751) of 2968 bytes
    Memory leaks: (ModelRead.cpp 1751) of 2968 bytes
    Memory leaks: (ModelRead.cpp 1751) of 10492 bytes
    Memory leaks: (ModelRead.cpp 1751) of 2968 bytes
    Memory leaks: (ModelRead.cpp 1751) of 2968 bytes
    Memory leaks: (ModelRead.cpp 1751) of 1028 bytes
    Memory leaks: (ModelRead.cpp 1751) of 1028 bytes
    Memory leaks: (ModelRead.cpp 1751) of 8616 bytes
    Memory leaks: (ModelRead.cpp 1751) of 1624 bytes
    Memory leaks: (ModelRead.cpp 1751) of 3164 bytes
    Memory leaks: (ModelRead.cpp 2168) of 176 bytes
    Memory leaks: (ModelRead.cpp 2194) of 48 bytes
    Memory leaks: (ModelRead.cpp 2208) of 0 bytes
    Memory leaks: (ModelRead.cpp 2208) of 0 bytes
    Memory leaks: (ModelRead.cpp 2194) of 48 bytes
    Memory leaks: (ModelRead.cpp 2208) of 4 bytes
    Memory leaks: (ModelRead.cpp 2208) of 4 bytes
    Memory leaks: (ModelRead.cpp 2156) of 193 bytes
    Memory leaks: (ModelOctant.cpp 153) of 0 bytes
    Memory leaks: (ModelOctant.cpp 374) of 44 bytes
    Memory leaks: (ModelOctant.cpp 153) of 0 bytes
    Memory leaks: (ModelOctant.cpp 374) of 36 bytes
    Memory leaks: (ModelOctant.cpp 153) of 0 bytes
    Memory leaks: (ModelOctant.cpp 374) of 44 bytes
    Memory leaks: (ModelOctant.cpp 153) of 0 bytes
    Memory leaks: (ModelOctant.cpp 374) of 36 bytes
    Memory leaks: (ModelOctant.cpp 153) of 0 bytes
    Memory leaks: (ModelOctant.cpp 374) of 44 bytes
    Memory leaks: (ModelOctant.cpp 153) of 0 bytes
    Memory leaks: (ModelOctant.cpp 374) of 40 bytes
    Memory leaks: (ModelOctant.cpp 153) of 0 bytes
    Memory leaks: (ModelOctant.cpp 374) of 40 bytes
    Memory leaks: (ModelOctant.cpp 153) of 0 bytes
    Memory leaks: (ModelOctant.cpp 374) of 36 bytes
    Memory leaks: (ModelRead.cpp 2460) of 9944 bytes
    Memory leaks: (ModelRead.cpp 1545) of 6640 bytes
    Memory leaks: (ModelRead.cpp 1637) of 20 bytes
    Memory leaks: (ModelRead.cpp 1751) of 8456 bytes
    Memory leaks: (ModelRead.cpp 1751) of 12036 bytes
    Memory leaks: (ModelRead.cpp 1751) of 2296 bytes
    Memory leaks: (ModelRead.cpp 1751) of 6300 bytes
    Memory leaks: (ModelRead.cpp 1751) of 1024 bytes
    Memory leaks: (ModelRead.cpp 1751) of 21368 bytes
    Memory leaks: (ModelRead.cpp 1751) of 3816 bytes
    Memory leaks: (ModelRead.cpp 1751) of 7112 bytes
    Memory leaks: (ModelRead.cpp 1751) of 6916 bytes
    Memory leaks: (ModelRead.cpp 1751) of 2672 bytes
    Memory leaks: (ModelRead.cpp 1858) of 96 bytes
    Memory leaks: (ModelRead.cpp 1872) of 4 bytes
    Memory leaks: (ModelRead.cpp 1960) of 848 bytes
    Memory leaks: (ModelRead.cpp 2168) of 88 bytes
    Memory leaks: (ModelRead.cpp 2194) of 96 bytes
    Memory leaks: (ModelRead.cpp 2208) of 0 bytes
    Memory leaks: (ModelRead.cpp 2208) of 0 bytes
    Memory leaks: (ModelRead.cpp 2208) of 0 bytes
    Detected memory leaks!
    Dumping objects ->
    {145} normal block at 0x0AE092A0, 1040 bytes long.
    Data: < > CD CD CD CD CD CD CD CD CD CD CD CD CD CD CD 10 
    {144} normal block at 0x0AE04580, 20 bytes long.
    Data: < t > E8 AF 74 00 10 00 00 00 B0 92 E0 0A 00 00 00 00 
    {143} normal block at 0x0AE08E48, 1040 bytes long.
    Data: < ? > CD CD CD CD CD CD CD 08 00 00 80 3F 00 00 00 00 
    {142} normal block at 0x0AE04528, 20 bytes long.
    Data: < t P > E8 AF 74 00 10 00 00 00 50 8E E0 0A 00 00 00 00 
    {141} normal block at 0x0AE089F0, 1040 bytes long.
    Data: < > CD CD CD CD CD CD CD CD CD CD CD CD CD CD CD 10 
    {140} normal block at 0x0AE044D0, 20 bytes long.
    Data: < t > E8 AF 74 00 10 00 00 00 00 8A E0 0A 00 00 00 00 
    {135} normal block at 0x0AE07550, 1040 bytes long.
    Data: < > CD CD CD CD CD CD CD CD CD CD CD CD CD CD CD 10 
    {134} normal block at 0x0AE04420, 20 bytes long.
    Data: < t `u > E8 AF 74 00 10 00 00 00 60 75 E0 0A 00 00 00 00 
    {133} normal block at 0x0AE070F8, 1040 bytes long.
    Data: < ? > CD CD CD CD CD CD CD 08 00 00 80 3F 00 00 00 00 
    {132} normal block at 0x0AE043C8, 20 bytes long.
    Data: < t q > E8 AF 74 00 10 00 00 00 00 71 E0 0A 00 00 00 00 
    {131} normal block at 0x0AE06CA0, 1040 bytes long.
    Data: < > CD CD CD CD CD CD CD CD CD CD CD CD CD CD CD 10 
    {130} normal block at 0x0AE04370, 20 bytes long.
    Data: < t l > E8 AF 74 00 10 00 00 00 B0 6C E0 0A 00 00 00 00 
    {129} normal block at 0x0AE06848, 1040 bytes long.
    Data: < ? > CD CD CD CD CD CD CD 08 00 00 80 3F 00 00 00 00 
    {128} normal block at 0x0AE04318, 20 bytes long.
    Data: < t Ph > E8 AF 74 00 10 00 00 00 50 68 E0 0A 00 00 00 00 
    {127} normal block at 0x0AE04F68, 1040 bytes long.
    Data: < ? > CD CD CD CD CD CD CD 08 00 00 80 3F 00 00 00 00 
    {126} normal block at 0x0AE042C0, 20 bytes long.
    Data: < t pO > E8 AF 74 00 10 00 00 00 70 4F E0 0A 00 00 00 00 
    {125} normal block at 0x0AE04B10, 1040 bytes long.
    Data: < > CD CD CD CD CD CD CD CD CD CD CD CD CD CD CD 10 
    {124} normal block at 0x0AE04268, 20 bytes long.
    Data: < t K > E8 AF 74 00 10 00 00 00 20 4B E0 0A 00 00 00 00 
    txt file icon leak report.txt (20,383 bytes) 2004-07-29 22:28 +

-Relationships
+Relationships

-Notes

~0000230

RandomTiger (developer)

The memory leaks arent as bad as first though.
Many modules are using atexit to free stuff.
While this is in my opinion a very bad solution the actual real memory leak list is much smaller, just the localize.cpp ones.

~0000636

taylor (administrator)

The localize.cpp problem should be fixed now (Bobboau did it, I think)

~0000639

RandomTiger (developer)

Bob, if you have fix this could you mark is such.

~0001043

MosesX605 (reporter)

In Bob's new build 7/4/04, I can only play two missions before FSO eats up all available memory and CTD with the 'out of memory' error. In previous builds, including 3.6, I could play 4 or 5 missions before this error.

~0001044

taylor (administrator)

There are quite a few memory leaks remaining. I've plugged all that I can find (using the Linux build, affecting all platforms) and the build is in testing now by the people who have had the most problems. I guessed (educated) that playing a full mission and going straight to another one can lose between 8 and 20 megs depending on the mission.

~0001045

MosesX605 (reporter)

Taylor, in Bob's most recent build, the memory load basically doubles from the first to the second mission. It's almost like nothing is getting released.

~0001117

Goober5000 (administrator)

Be this fix0red?

~0001119

taylor (administrator)

I think this is fixed, just waiting until a few other people have used the new builds to make sure. The main leaks are fixed so I'm just waiting to make sure nothing else is hiding somewhere.

~0001150

taylor (administrator)

No complaints from the audience so it be fixered.
+Notes

-Issue History
Date Modified Username Field Change
2004-02-16 11:43 RandomTiger New Issue
2004-02-22 06:50 RandomTiger Note Added: 0000230
2004-03-04 15:47 RandomTiger Status new => acknowledged
2004-04-02 01:36 taylor Note Added: 0000636
2004-04-02 01:41 RandomTiger Reporter RandomTiger => Bobboau
2004-04-02 01:43 RandomTiger Note Added: 0000639
2004-04-02 01:43 RandomTiger Reporter Bobboau => RandomTiger
2004-04-02 01:43 RandomTiger Assigned To => RandomTiger
2004-07-07 08:44 MosesX605 Note Added: 0001043
2004-07-07 09:05 taylor Note Added: 0001044
2004-07-07 16:03 MosesX605 Note Added: 0001045
2004-07-29 22:28 Goober5000 File Added: leak report.txt
2004-07-29 22:29 Goober5000 Note Added: 0001117
2004-07-29 22:29 Goober5000 Description Updated
2004-07-30 03:22 taylor Note Added: 0001119
2004-07-30 03:22 taylor Status acknowledged => assigned
2004-07-30 03:22 taylor Assigned To RandomTiger => taylor
2004-08-19 09:22 taylor Status assigned => resolved
2004-08-19 09:22 taylor Resolution open => fixed
2004-08-19 09:22 taylor Note Added: 0001150
2007-03-23 04:22 taylor Status resolved => closed
2007-03-23 04:22 taylor Fixed in Version => 3.6.5
+Issue History